#ifndef RDESKTOPLAUNCHER_H
#define RDESKTOPLAUNCHER_H

#include <QProcess>
#include <QWidget>
#include <QTimer>
#include "rdpoptions.h"

class RDesktopLauncher : public QObject
{
    Q_OBJECT
public:
    RDesktopLauncher(QObject* parent = 0);

    void start(RdpOptions options);

    static QString getExitStatusString(int status);

signals:
    void finished(int status);

    void windowFound(WId);

public slots:
    void kill();

private slots:
    void onProcessFinished(int, QProcess::ExitStatus);

    void lookUpWindow();

    void clearWindowLookUpTimer();

private:
    QProcess* m_process;

    QTimer* m_windowLookUpTimer;

    RdpOptions m_options;
};

#endif // RDESKTOPLAUNCHER_H
